    Sum up the data values of a 2D data set.

calc_data_sum2d(reg=None, id=None)
reg - str, optional
id - int or str, optional

This function is for two-dimensional data sets: use

`calc_model_sum` for one-dimensional data sets.

The following examples use the data in the default data set created with the following calls, which sets the y (data) values to be 0 to 11 in a 3 row by 4 column image:

>>> ivals = np.arange(12) >>> y, x = np.mgrid[10:13, 20:24] >>> y = y.flatten() >>> x = x.flatten() >>> load_arrays(1, x, y, ivals, (3, 4), DataIMG)

with no argument, the full data set is used:

>>> calc_data_sum2d() 66 >>> ivals.sum() 66

and a spatial filter can be used to restrict the region used for the summation:

>>> calc_data_sum2d('circle(22,12,1)') 36 >>> calc_data_sum2d('field()-circle(2,2,1)') 30

Apply the spatial filter to the data set labelled "a2142":

>>> calc_data_sum2d('rotbox(4232.3,3876,300,200,43)', 'a2142')

PARAMETERS

The parameters for this function are:

Parameter
Definition
reg
The spatial filter to use. The default, none , is to use the whole data set.
id
Use the source expression associated with this data set. If not given then the default identifier is used, as returned by `get_default_id` .

The return value from this function is:

dsum -- The sum of the data values that lie within the given region.

Notes

The coordinate system of the region filter is determined by the coordinate setting for the data set (e.g. `get_coord` ).

Any existing filter on the data set - e.g. as created by

`ignore2d` or `notice2d` - is ignored by this function.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023